/*----FONT---*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/*----COLORES---*/

:root{
    --color-primary: #121212;
    --color-secondary: #ffffff;
    --bg-nav: #000000;
    --bg-card: #242424;
    --bg-input: #2a2a2a;
    --color-text-secondary: #b3b3b3;
    --color-text-primary: #ffffff;
    --color-hover: #f0f0f0;
    --color-hover-card: #1f1f1f;
    --color-hover-icon: #727272;
    --color-hover-text: #2b2b2b;
    --font-family: 'Montserrat', sans-serif;
    --color-accent: #1DB954;
}


/*----RESET----*/

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


/*---ESTILOS GLOBALES---*/

body{
    overflow: hidden;
    font-family: var(--font-family);
    height: 100vh;
}

.layout{
    display: flex;
    height: calc(100vh - 64px);
    overflow: hidden;
}

main{
    overflow-y: auto;
}

img{
    max-width: 100%;
    height: auto;
    object-fit: cover;
}


/*---ESTILOS NAV---*/

nav{
    display: flex;
    align-items: center;
    background-color: var(--bg-nav);
    padding: 0.85rem 1.5rem;
    gap: 1rem;
}

.logo{
    width: 50px;
    height: 50px;
    display: flex;
    color: var(--color-secondary);
}

.btn-home{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    background-color: var(--bg-input);
    color: var(--color-text-secondary);
    border-radius: 50%;
    border: none;
    cursor: pointer;
    transition: filter 0.3s ease, transform 0.3s ease;
}

.btn-home:hover{
    transform: scale(1.1);
    filter: brightness(1.2);
}

.search-container{
    width: 30%;
    max-width: 400px;
    display: flex;
    flex-shrink: 1;
    align-items: center;
    gap: 0.75rem;
    padding: 0.6rem 1.2rem;
    background-color: var(--bg-input);
    border-radius: 3rem;
    transition: border 0.3s ease,filter 0.3s ease;
}

.search-container:hover{
    filter: brightness(1.2);
}

.search-container input{
    max-width: 300px;
    flex-wrap: nowrap;
    flex-grow: 1;
    border: none;
    outline: none;
    background: transparent;
    padding: 0.5rem 0;
    font-family: var(--font-family);
    color: var(--color-text-secondary);
}

.search-container input::placeholder{
    font-family: var(--font-family);
    font-size: 0.85rem;
    border-right: 1px solid var(--color-text-secondary);
    color: var(--color-text-secondary);
}

.search-container input:focus{
    outline: none;
}

.search-container:focus-within{
    outline: 2px solid var(--color-text-primary);
    outline-offset: 2px;
}

.search-container button{
    border: none;
    background: none;
    color: var(--color-text-secondary);
    transition: filter 0.3s ease, transform 0.3s ease;
    cursor: pointer;
}

.search-container button:hover{
    transform: scale(1.1);
    filter: brightness(1.2);
}

.search-container button:focus{
    outline: none;
}

.btn-explore{
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-container{
    display: flex;
    margin-left: auto;
    gap: 1rem;
}

.nav-container ul{
    display: flex;
    align-items: center;
    gap: 1rem;
    padding-right: 1rem;
    list-style: none;
    border-right: 1px solid var(--color-text-secondary);
}

.nav-container ul li a{
    display: inline-block;
    text-decoration: none;
    color: var(--color-text-secondary);
    transition: color 0.3s ease, transform 0.3s ease;
}

.nav-container ul li a:hover{
    color: var(--color-secondary);
    transform: scale(1.1);
}

.btn-login{
    border: none;
    background-color: var(--color-secondary);
    color: var(--color-primary);
    padding: 0.85rem 2rem;
    border-radius: 30px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.btn-login:hover{
    background-color: var(--color-hover);
    transform: scale(1.1);
}

.btn-app, 
.btn-register{
    background: none;
    border: none;
    color: var(--color-text-secondary);
    font-weight: bold;
    font-size: 0.85rem;
    cursor: pointer;
    transition: color 0.3s ease, transform 0.3s ease;
}

.btn-app:hover, 
.btn-register:hover{
    color: var(--color-text-primary);
    transform: scale(1.1);
}

.btn-app{
    display: flex;
    align-items: center;
    gap: 0.50rem;
}

.btn-app svg{
    width: 30px;
}

.hamburguer-menu{
    display: none;
}

.hamburguer-menu button{
    border: none;
    background: none;
    color: var(--color-secondary);
    cursor: pointer;
}


/*----ESTILOS ASIDE---*/

aside{
    width: 280px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    gap: 2.5rem;
    overflow-y: auto;
    color: var(--color-text-primary);
    background-color: var(--color-primary);
    scrollbar-width: none;
}

aside::-webkit-scrollbar{
    display: none;
}

.header-aside{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.header-aside h2{
    font-size: 1rem;
    font-weight: 600;
}

.header-aside button{
    display: flex;
    align-items: center;
    border: none;
    background-color: var(--bg-input);
    color: var(--color-text-secondary);
    border-radius: 50%;
    padding: 0.45rem;
    cursor: pointer;
    transition: filter 0.3s ease;
}

.header-aside button:hover{
    filter: brightness(1.2);
}

.header-aside svg{
    width: 20px;
    height: 20px;
}

.section-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

.section-aside{
    border-radius: 20px;
    padding: 1.5rem;
    background-color: var(--bg-card);
}

.section-aside h3{
    font-size: 0.95rem;
}

.section-aside p{
    font-size: 0.75rem;
    font-weight: 500;
}

.section-aside button{
    border: none;
    background-color: var(--color-secondary);
    color: var(--color-primary);
    padding: 0.65rem 0.75rem;
    border-radius: 30px;
    font-size: 0.85rem;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.section-aside button:hover{
    background-color: var(--color-hover);
    transform: scale(1.1);
}

.section-aside h3,
.section-aside p,
.section-aside button{
    margin-top: 0.70rem;
}

.footer-aside{
    display: flex;
    flex-direction: column;
    gap: 0.60rem;
}

.footer-aside a{
    text-decoration: none;
    color: var(--color-text-secondary);
    font-size: 0.75rem;
}

.footer-aside .accent-cookie{
    color: var(--color-text-primary);
    transition: text-decoration;
    cursor: pointer;
}

.accent-cookie:hover{
    text-decoration: underline;
}

.btn-lenguage{
    display: flex;
    align-items: center;
    width: fit-content;
    gap: 0.5rem;
    padding: 0.40rem 0.60rem;
    border: 1px solid var(--color-secondary);
    background-color: transparent;
    border-radius: 20px;
    color: var(--color-secondary);
    cursor: pointer;
    font-weight: 600;
    transition: filter 0.3s ease, transform 0.3s ease;
}

.btn-lenguage svg{
    width: 20px;
    height: 20px;
}

.btn-lenguage:hover{
    filter: brightness(1.1);
    transform: scale(1.1);
}


/*---ESTILOS MAIN---*/

main{
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow-y: auto;
    padding: 1rem;
    gap: 2.5rem;
    background-color: var(--color-primary);
    color: var(--color-text-primary);
    scrollbar-color: var(--color-text-secondary) transparent;
}

.header-main{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem
}

.header-main a{
    text-decoration: none;
    color: var(--color-text-secondary);
    font-size: 0.85rem;
    font-weight: 600;
    cursor: pointer;
    transition: text-decoration;
}

.header-main a:hover{
    text-decoration: underline;
}

.cards-container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    justify-content: center;
    gap: 2rem;
}

.card{
    background-color: transparent;
    border-radius: 10px;
    transition: background-color 0.3s ease;
    cursor: pointer;
    padding: 1rem;
}

.card-img-container{
    position: relative;
}

.card-img-container img{
    width: 100%;
    border-radius: 10px;
    display: block;
}

.btn-play{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 8px;
    right: 8px;
    opacity: 0;
    transition: opacity 0.3s ease, transform 0.3s ease;
    background-color: var(--color-accent);
    border: none;
    border-radius: 50%;
    padding: 0.5rem;
    cursor: pointer;
}

.card:hover{
    background-color: var(--color-hover-card);
}

.card:hover .btn-play{
    opacity: 1;
    transform: translateY(-4px);
}

.card h3{
    font-size: 0.95rem;
    font-weight: 400;
}

.card p{
    font-size: 0.75rem;
    color: var(--color-text-secondary);
}

.card.card-artist img{
    border-radius: 80%;
}

.card h3,
.card p{
    margin-top: 0.4rem;
    transition: text-decoration;
}

.card h3:hover,
.text-artist:hover{
    text-decoration: underline;
}


/*-----FOOTER MAIN-----*/

.footer-main{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    border-top: 1px solid var(--color-text-secondary);
    padding-bottom: 5rem;
}

.footer-top{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 2rem 2rem 0 2rem;
}

.nav-footer{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: start;
    gap: 2rem;
    background-color: transparent;
    flex-grow: 1;
}

.footer-col{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.footer-col h3{
    font-size: 0.85rem;
}

.footer-col a{
    text-decoration: none;
    color: var(--color-text-secondary);
    font-size: 0.90rem;
    transition: text-decoration;
}

.footer-col a:hover{
    text-decoration: underline;
}

.social-links{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.75rem;
}

.social-links a{
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--bg-input);
    color: var(--color-text-primary);
    border-radius: 50%;
    transition: background-color 0.3s ease;
}

.social-links a:hover{
    background-color: var(--color-hover-icon);
}

.social-links svg {
    width: 20px;
    height: 20px;
}

.copyrigth{
    padding: 1.5rem 2rem;
    border-top: 1px solid var(--color-secondary);
}


/*---BANNER COLORIDO---*/

.banner-registro{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    position: fixed;
    bottom: 0;
    background: linear-gradient(45deg, #af2896, #835cc1, #519bf5);
    border-radius: 8px 8px 0 0;
    padding: 1rem;
}

.banner-text h2{
    font-size: 0.75rem;
    color: var(--color-text-primary);
}

.banner-text p{
    margin-top: 0.45rem;
    font-size: 0.85rem;
    font-weight: 500;
    color: var(--color-text-primary);
}

.banner-registro button{
    border: none;
    background-color: var(--color-secondary);
    color: var(--color-primary);
    padding: 0.85rem 2rem;
    border-radius: 30px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.banner-registro button:hover{
    background-color: var(--color-hover);
    transform: scale(1.1);
}


/*---------------RESPONSIVE 768px----------------*/
@media (max-width: 768px){
    .btn-app,
    .btn-register,
    .btn-login{
        display: none;
    }

    .search-container{
        max-width: 400px;
    }

    .hamburguer-menu{
        display: block;
    }

    aside{
        width: 200px;
    }

    .section-aside{
        padding: 0.85rem;
    }

    .section-aside h3,
    .section-aside p{
        font-size: 0.75rem;
    }

    .section-aside button{
        padding: 0.6rem 1rem;
        font-size: 0.75rem;
    }

    .footer-aside{
        gap: 0.40rem;
    }

    .nav-footer{
        grid-template-columns: repeat(2, 1fr);
    }
}


/*---------------RESPONSIVE 480px----------------*/

@media (max-width: 480px){
    .logo{
        width: 30px;
        height: 30px;
    }

    .btn-home{
        width: 30px;
        height: 30px;
    }

    nav{
        position: relative;
    }
    
    .search-container{
        display: none;
    }

    .nav-container{
        display: none;
    }

    .nav-container.menu-abierto{
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        position: absolute;
        top: 40px;
        left: 0;
        width: 100%;
        padding: 1rem;
        gap: 1rem;
        z-index: 100;
    }

    .nav-container.nav-container.menu-abierto ul{
        display: flex;
        flex-direction: column;
        font-size: 0.85rem;
        font-weight: 600;
        color: var(--color-text-primary);
        padding: 1rem;
        gap: 1rem;
        border: none;
        border-radius: 10px;
        width: 40%;
        background-color: var(--bg-card);
    }

    .hamburguer-menu{
        display: block;
    }

    aside{
        display: none;
    }

    main{
        width: 100%;
        flex-grow: 1;
    }

    .layout{
        flex-direction: column;
    }

    .hamburguer-menu{
        margin-left: auto;
    }

    .footer-main,
    .copyrigth{
        border: none;
    }

    .nav-footer{
        display: none;
    }

    .footer-top{
        justify-content: center;
    }

    .copyrigth{
        text-align: center;
    }

    .banner-text h2{
        font-size: 0.7rem;
    }

    .banner-text p{
        font-size: 0.75rem;
    }

    .banner-registro button{
        font-size: 0.8rem;
        padding: 0.5rem 1rem;
        align-self: flex-end;
    }

    .banner-registro{
        align-items: flex-start;
        flex-direction: column;
        padding: 0.75rem 1rem;
    }
}